Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.set
Interface SetRequestComponent

All Superinterfaces:
  XmlSerializable

All Known Implementing Classes:
  AbstractSetRequestComponent

public interface SetRequestComponent
extends XmlSerializable

SetRequestComponent is the atomic unit of construction for WSRP SetResourceProperties requests. Instances of this type can be executed against a WSRP document. There is a finite set of concrete SetRequestComponent types, and they are defined by the WSRP v1.2 spec.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `execute(ResourcePropertyCollection props)` Performs the set command on the given WSRP document.
`int` | `getNumberOfValues()`
`QName` | `getPropertyName()`
`java.lang.Object` | `getSecurityToken()`
`org.w3c.dom.Element` | `getValue(int index)`
`org.w3c.dom.Element[]` | `getValues()`
`void` | `setPropertyName(QName qname)`
`void` | `setSecurityToken(java.lang.Object securityToken)`
`void` | `setValues(java.lang.Object[] values)`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Method Detail

### execute

    public void execute(ResourcePropertyCollection props)
                 throws BaseFault

  Performs the set command on the given WSRP document. There may be one or more changes made to the document as the result of this command.

  Throws:
    `BaseFault`

### getNumberOfValues

    public int getNumberOfValues()

### getPropertyName

    public QName getPropertyName()

  Returns:
    The name of the property being operated on.

### getSecurityToken

    public java.lang.Object getSecurityToken()

  Returns:
    The security token assigned by the command's creator, which may affect its ability to execute successfully.

### getValue

    public org.w3c.dom.Element getValue(int index)

### getValues

    public org.w3c.dom.Element[] getValues()

### setPropertyName

    public void setPropertyName(QName qname)

### setSecurityToken

    public void setSecurityToken(java.lang.Object securityToken)

### setValues

    public void setValues(java.lang.Object[] values)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD